StringType (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.type
Class StringType

    java.lang.Object
      org.hibernate.type.AbstractStandardBasicType<T>
          org.hibernate.type.AbstractSingleColumnStandardBasicType<String>
              org.hibernate.type.StringType

All Implemented Interfaces:
  Serializable, BasicType, DiscriminatorType<String>, IdentifierType<String>, LiteralType<String>, SingleColumnType<String>, StringRepresentableType<String>, Type, XmlRepresentableType<String>

    public class StringType

extends AbstractSingleColumnStandardBasicType<String>
implements DiscriminatorType<String>

A type that maps between `VARCHAR` and `String`

See Also:
  Serialized Form

Field Summary
`static StringType` | `INSTANCE`

Constructor Summary
`StringType()`

Method Summary
`String` | `getName()` Returns the abbreviated name of the type.
`String` | `objectToSQLString(String value, Dialect dialect)` Convert the value into a string representation, suitable for embedding in an SQL statement as a literal.
`protected boolean` | `registerUnderJavaType()`
`String` | `stringToObject(String xml)` Convert the value from the mapping file to a Java object.
`String` | `toString(String value)` Render the value to the string representation.

Methods inherited from class org.hibernate.type.AbstractSingleColumnStandardBasicType
`nullSafeSet, sqlType`

Methods inherited from class org.hibernate.type.AbstractStandardBasicType
`assemble, beforeAssemble, compare, deepCopy, deepCopy, defaultSizes, dictatedSizes, disassemble, fromString, fromStringValue, fromXMLNode, fromXMLString, get, getColumnSpan, getDefaultSize, getDictatedSize, getHashCode, getHashCode, getJavaTypeDescriptor, getMutabilityPlan, getRegistrationKeys, getReplacement, getReturnedClass, getSemiResolvedType, getSqlTypeDescriptor, hydrate, isAnyType, isAssociationType, isCollectionType, isComponentType, isDirty, isDirty, isDirty, isEntityType, isEqual, isEqual, isModified, isMutable, isSame, isXMLElement, nullSafeGet, nullSafeGet, nullSafeGet, nullSafeGet, nullSafeSet, nullSafeSet, remapSqlTypeDescriptor, replace, replace, resolve, semiResolve, set, setToXMLNode, sqlTypes, toColumnNullness, toLoggableString, toXMLString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.type.Type
`assemble, beforeAssemble, compare, deepCopy, defaultSizes, dictatedSizes, disassemble, fromXMLNode, getColumnSpan, getHashCode, getHashCode, getReturnedClass, getSemiResolvedType, hydrate, isAnyType, isAssociationType, isCollectionType, isComponentType, isDirty, isDirty, isEntityType, isEqual, isEqual, isModified, isMutable, isSame, isXMLElement, nullSafeGet, nullSafeGet, nullSafeSet, nullSafeSet, replace, replace, resolve, semiResolve, setToXMLNode, sqlTypes, toColumnNullness, toLoggableString`

Methods inherited from interface org.hibernate.type.SingleColumnType
`fromStringValue, get, nullSafeGet, set`

Field Detail

### INSTANCE

    public static final StringType INSTANCE

Constructor Detail

### StringType

    public StringType()

Method Detail

### getName

    public String getName()

  Description copied from interface: `Type`
  Returns the abbreviated name of the type.

  Specified by:
    `getName` in interface `Type`
  Returns:
    String the Hibernate type name

### registerUnderJavaType

    protected boolean registerUnderJavaType()

  Overrides:
    `registerUnderJavaType` in class `AbstractStandardBasicType<String>`

### objectToSQLString

    public String objectToSQLString(String value,
                                    Dialect dialect)
                             throws Exception

  Description copied from interface: `LiteralType`
  Convert the value into a string representation, suitable for embedding in an SQL statement as a literal.

  Specified by:
    `objectToSQLString` in interface `LiteralType<String>`
  Parameters:
    `value` - The value to convert
    `dialect` - The SQL dialect
  Returns:
    The value's string representation
  Throws:
    `Exception` - Indicates an issue converting the value to literal string.

### stringToObject

    public String stringToObject(String xml)
                          throws Exception

  Description copied from interface: `IdentifierType`
  Convert the value from the mapping file to a Java object.

  Specified by:
    `stringToObject` in interface `IdentifierType<String>`
  Parameters:
    `xml` - the value of `discriminator-value` or `unsaved-value` attribute
  Returns:
    The converted value of the string representation.
  Throws:
    `Exception` - Indicates a problem converting from the string

### toString

    public String toString(String value)

  Description copied from interface: `StringRepresentableType`
  Render the value to the string representation.

  Specified by:
    `toString` in interface `SingleColumnType<String>`
  Specified by:
    `toString` in interface `StringRepresentableType<String>`
  Overrides:
    `toString` in class `AbstractStandardBasicType<String>`
  Parameters:
    `value` - The value to render to string.
  Returns:
    The string representation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.